Index: palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- palm/trunk/SOURCE/init_dvrp.f90	(revision 1310)
+++ palm/trunk/SOURCE/init_dvrp.f90	(revision 1320)
@@ -20,5 +20,11 @@
 ! Current revisions:
 ! -----------------
-! 
+! ONLY-attribute added to USE-statements,
+! kind-parameters added to all INTEGER and REAL declaration statements, 
+! kinds are defined in new module kinds, 
+! old module precision_kind is removed,
+! revision history before 2012 removed,
+! comment fields (!:) to be used for variable explanations added to
+! all variable declaration statements 
 !
 ! Former revisions:
@@ -28,38 +34,4 @@
 ! 1036 2012-10-22 13:43:42Z raasch
 ! code put under GPL (PALM 3.9)
-!
-! 284 2009-04-06 06:36:10Z raasch
-! Definition of a colortable to be used for particles.
-! Output names are changed: surface=groundplate, buildings=topography
-! Output of messages replaced by message handling routine.
-! Clipping implemented.
-! Polygon reduction for building and ground plate isosurface. Reduction level
-! for buildings can be chosen with parameter cluster_size.
-! Steering, splitting, and rtsp routines not used on nec.
-! ToDo: checking of mode_dvrp for legal values is not correct
-! Implementation of a MPI-1 coupling: __mpi2 adjustments for MPI_COMM_WORLD
-!
-! 210 2008-11-06 08:54:02Z raasch
-! DVRP arguments changed to single precision, mode pathlines added
-!
-! 155 2008-03-28 10:56:30Z letzel
-! introduce prefix_chr to ensure unique dvrp_file path
-!
-! 130 2007-11-13 14:08:40Z letzel
-! allow two instead of one digit to specify isosurface and slicer variables
-! Test output of isosurface on camera file
-!
-! 82 2007-04-16 15:40:52Z raasch
-! Preprocessor strings for different linux clusters changed to "lc",
-! routine local_flush is used for buffer flushing
-!
-! 17 2007-02-19 01:57:39Z raasch
-! dvrp_output_local activated for all streams
-!
-! 13 2007-02-14 12:15:07Z raasch
-! RCS Log replace by Id keyword, revision history cleaned up
-!
-! Revision 1.12  2006/02/23 12:30:22  raasch
-! ebene renamed section, pl.. replaced by do..,
 !
 ! Revision 1.1  2000/04/27 06:24:39  raasch
@@ -73,30 +45,82 @@
 #if defined( __dvrp_graphics )
 
-    USE arrays_3d
+    USE arrays_3d,                                                             &
+        ONLY:  zu
+        
     USE DVRP
+    
     USE dvrp_variables
-    USE grid_variables
-    USE indices
+    
+    USE grid_variables,                                                        &
+        ONLY:  dx, dy
+        
+    USE indices,                                                               &
+        ONLY:  nx, nxl, nxr, ny, nyn, nys, nzb, nzb_s_inner
+        
+    USE kinds
+    
     USE pegrid
-    USE control_parameters
+    
+    USE control_parameters,                                                               &
+        ONLY:  message_string, nz_do3d, run_identifier, topography
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=2)  ::  section_chr
-    CHARACTER (LEN=3)  ::  prefix_chr
-    CHARACTER (LEN=80) ::  dvrp_file_local
-    INTEGER ::  cluster_mode, cluster_size_x, cluster_size_y, cluster_size_z, &
-                gradient_normals, i, j, k, l, m, nx_dvrp_l, nx_dvrp_r,        &
-                ny_dvrp_n, ny_dvrp_s, pn, tv, vn
-    LOGICAL ::  allocated
-    REAL(4) ::  center(3), cluster_alpha, distance, tmp_b, tmp_g, tmp_r, &
-                tmp_t, tmp_th, tmp_thr, tmp_x1, tmp_x2, tmp_y1, tmp_y2,  &
-                tmp_z1, tmp_z2, tmp_1, tmp_2, tmp_3, tmp_4, tmp_5, tmp_6, tmp_7
-
-    REAL(4), DIMENSION(:,:,:), ALLOCATABLE ::  local_pf
-
-    TYPE(CSTRING), SAVE ::  dvrp_directory_c, dvrp_file_c, &
-                            dvrp_file_local_c,dvrp_host_c, &
-                            dvrp_password_c, dvrp_username_c, name_c
+    CHARACTER (LEN=2)  ::  section_chr      !:
+    CHARACTER (LEN=3)  ::  prefix_chr       !:
+    CHARACTER (LEN=80) ::  dvrp_file_local  !:
+    
+    INTEGER(iwp) ::  cluster_mode      !:
+    INTEGER(iwp) ::  cluster_size_x    !:
+    INTEGER(iwp) ::  cluster_size_y    !:
+    INTEGER(iwp) ::  cluster_size_z    !:
+    INTEGER(iwp) ::  gradient_normals  !:
+    INTEGER(iwp) ::  i                 !:
+    INTEGER(iwp) ::  j                 !:
+    INTEGER(iwp) ::  k                 !:
+    INTEGER(iwp) ::  l                 !:
+    INTEGER(iwp) ::  m                 !:
+    INTEGER(iwp) ::  nx_dvrp_l         !:
+    INTEGER(iwp) ::  nx_dvrp_r         !:
+    INTEGER(iwp) ::  ny_dvrp_n         !:
+    INTEGER(iwp) ::  ny_dvrp_s         !:
+    INTEGER(iwp) ::  pn                !:
+    INTEGER(iwp) ::  tv                !:
+    INTEGER(iwp) ::  vn                !:
+                     
+    LOGICAL  ::  allocated  !:
+    
+    REAL(sp) ::  center(3)      !:
+    REAL(sp) ::  cluster_alpha  !:
+    REAL(sp) ::  distance       !:
+    REAL(sp) ::  tmp_b          !:
+    REAL(sp) ::  tmp_g          !:
+    REAL(sp) ::  tmp_r          !:
+    REAL(sp) ::  tmp_t          !:
+    REAL(sp) ::  tmp_th         !:
+    REAL(sp) ::  tmp_thr        !:
+    REAL(sp) ::  tmp_x1         !:
+    REAL(sp) ::  tmp_x2         !:
+    REAL(sp) ::  tmp_y1         !:
+    REAL(sp) ::  tmp_y2         !:
+    REAL(sp) ::  tmp_z1         !:
+    REAL(sp) ::  tmp_z2         !:
+    REAL(sp) ::  tmp_1          !:
+    REAL(sp) ::  tmp_2          !:
+    REAL(sp) ::  tmp_3          !:
+    REAL(sp) ::  tmp_4          !:
+    REAL(sp) ::  tmp_5          !:
+    REAL(sp) ::  tmp_6          !:
+    REAL(sp) ::  tmp_7          !:
+
+    REAL(sp), DIMENSION(:,:,:), ALLOCATABLE ::  local_pf  !:
+
+    TYPE(CSTRING), SAVE ::  dvrp_directory_c   !:
+    TYPE(CSTRING), SAVE ::  dvrp_file_c        !:
+    TYPE(CSTRING), SAVE ::  dvrp_file_local_c  !:
+    TYPE(CSTRING), SAVE ::  dvrp_host_c        !:
+    TYPE(CSTRING), SAVE ::  dvrp_password_c    !:
+    TYPE(CSTRING), SAVE ::  dvrp_username_c    !:
+    TYPE(CSTRING), SAVE ::  name_c             !:
 
 !
@@ -718,12 +742,16 @@
 #if defined( __dvrp_graphics )
 
-    USE control_parameters
-    USE dvrp_variables
+    USE dvrp_variables,                                                        &
+        ONLY:  use_seperate_pe_for_dvrp_output
+    
+    USE kinds
+    
     USE pegrid
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=4) ::  chr
-    INTEGER           ::  idummy
+    CHARACTER (LEN=4) ::  chr  !:
+    
+    INTEGER(iwp) ::  idummy    !:
 
 !
@@ -778,10 +806,13 @@
 !------------------------------------------------------------------------------!
 #if defined( __dvrp_graphics )
-
-    USE control_parameters
-    USE dvrp
-    USE dvrp_variables
-
-    INTEGER ::  m
+                                               
+    USE DVRP
+    
+    USE dvrp_variables,                                                        &
+        ONLY: use_seperate_pe_for_dvrp_output
+    
+    USE kinds
+
+    INTEGER(iwp) ::  m  !:
 
 !
